<!DOCTYPE html>
<html lang="en">
<head>
  <title>Hasaala - Chart</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.4.0/Chart.min.js"></script>

</head>
<body>
  <select onchange="drawMyChart()" id='type'>
    <option value='line'>line</option>
    <option value="bar">bar</option>
    
  </select>

  <br>

  <button class="btn btn-success" onclick="getCode()">Get code</button>

  <canvas id="myChart"></canvas>

  <hr>
  <div editable id="output">
  </div>

<script type="text/javascript">
    function drawChart(type = 'line') {
        var ctx = document.getElementById('myChart').getContext('2d');

        let labels = []; 
        let data = []; 

        for(let i = -15; i <= 15 ; i++) {
            labels.push(i);
            data.push(i * i);
        }

        var chart = new Chart(ctx, {
            // The type of chart we want to create
            type: type,

            // The data for our dataset
            data: {
                labels: labels,
                datasets: [{
                    label: "My first dataset",
                    backgroundColor: 'rgb(255, 99, 132)',
                    borderColor: 'rgb(255, 99, 132)',
                    data: data,
                }]
            },

            // Configuration options go here
            options: {}
        });
    };

    drawChart();

    // Draw my chart
    function drawMyChart() {
        let type = document.getElementById('type').value;
        drawChart(type);
    }

    // Get code
    function getCode() {
        let htmlCode = document.getElementsByTagName('html')[0].innerHTML;

        console.log('CONTENT:- ');
        
        let output = "<!DOCTYPE html>\n" + 
                    "<head lang=\"en\">\n" + 
                    htmlCode + '\n' +
                    "</head>";

        console.log(output); 
        document.getElementById('output').innerText = output;
    }
</script>

</body>
</html>
